Audio on every block

Açıklama

Adds the possibility to add an audio file to each Gutenberg block suitable for this purpose. This allows, for example, the textual content of the block to be read aloud.

The plugin does not enable the automatic generation of the necessary audio files. The audio file must be created separately and uploaded to the block.

Features

  • selection of one audio file per block at all Gutenberg Core blocks that allow texts.
  • optional specification of a title to the audio file.
  • Global option to set position of the audio-file in relation to the block content.
  • optional use your own child-theme-template to change the output.

Yükleme

  1. Upload “audio-on-every-block” to the “/wp-content/plugins/” directory.
  2. Activate the plugin through the “Plugins” menu in WordPress.
  3. Add your audio-files on each Block in Gutenberg.

İncelemeler

Bu eklenti için herhangi bir değerlendirme bulunmuyor.

Katkıda Bulunanlar ve Geliştiriciler

“Audio on every block” açık kaynaklı yazılımdır. Aşağıdaki kişiler bu eklentiye katkıda bulunmuşlardır.

Katkıda bulunanlar

“Audio on every block” 2 dile çevrildi. Katkıda bulundukları için çevirmenlere teşekkürler.

“Audio on every block” eklentisini dilinize çevirin.

Geliştirmeyle ilgilenir misiniz?

Kodu görüntüle, SVN deposuna göz at veya RSS ile geliştirme günlüğüne abone ol.

Değişiklik Kaydı

1.0.0

  • Initial commit

1.0.1

  • fix possible error in settings-page
  • fix possible error in plugin-list
  • Updated compatibility-flag for WordPress 6.0

1.0.2

  • Updated readme
  • Updated compatibility-flag for WordPress 6.0.1

1.1.0

  • Added support for navigation-block and media-text
  • Updated compatibility-flag for WordPress 6.1

1.1.1

  • Fixed usage of audio-title
  • Updates external dependencies
  • Updated compatibility-flag for WordPress 6.2

1.1.2

  • Updated compatibility-flag for WordPress 6.3
  • Compatible with WordPress Coding Standards

1.1.3

  • Updated compatibility-flag for WordPress 6.4
  • Updates external dependencies
  • Compatible with WordPress Coding Standards 3.0
  • Removed language-files from plugin (except the json-files for Block Editor)

1.1.4

  • Updated compatibility-flag for WordPress 6.5
  • Remove also the JSON-language-files

1.1.5

  • Updated compatibility-flag for WordPress 6.5.3
  • Updates external dependencies